p {
    font-size: 1.25rem;
}

.inline_dropdown {
    display: inline-flex;
    position: relative;
    padding-right: 1em;
    cursor: pointer;
}

.inline_dropdown::after {
    display: block;
    content: "";
    position: absolute;
    right: 0;
    width: 1rem;
    height: 1rem;
    background-image: url(https://franchise-ventures-general.s3.us-east-1.amazonaws.com/fcom_cdn/images/chevron_blue.svg);
    background-size: contain;
    transform: rotate(90deg);
    top: .25rem;
    background-repeat: no-repeat;
}

.inline_dropdown::before {
    display: block;
    content: "";
    position: absolute;
    left: 0;
    bottom: -.25rem;
    width: 100%;
    height: .0625rem;
    border-bottom: .125rem solid var(--link_blue);
}

#title_section, #home_listings, #home_personalized, #home_categories, #home_start, #home_tools {
    padding: 2.5rem 0;
}

#title_section h1 {
    margin-bottom: 1em;
}

#title_section form {
    border:.0625rem solid var(--link_blue);
    display: inline-flex;
    border-radius: 2rem;
    padding: 0.5rem .5rem 0.5rem .25rem;
    width: 35rem;
    max-width: 100%;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

#title_section form .form_elements{
    width: 100%;
    /* display: flex; */
    /* align-items: center; */
}

#title_section select {
    width: 9.5rem;
    outline: none;
    border:.0625rem solid transparent;
    padding: 0;
    color: var(--dark_gray);
    background: transparent;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    cursor: pointer;
}

#title_section select:hover {
    color: var(--dark);
}

#title_section select:focus {
    outline: none;
    border:.0625rem solid transparent;
    box-shadow: none;
}

#title_section input, #title_section input:focus{
    border: none;
    outline: none;
}

.select_wrapping {
    position: relative;
    padding: .75rem 1.5rem;
    margin: 0;
    display: inline-block;
    flex: 1;
    cursor: pointer;
}

#search_form .select_wrapping{
    width: 100%;
    font-size: 1.2rem;
}

#search_form.active .select_wrapping{
    border: none !important;
}

.select_wrapping .label{
    color: var(--dark);
    color: var(--link_blue);
}

.select_wrapping ul{
    position: absolute;
    z-index: 1;
    padding: 1.5rem;
    height: 200px;
    overflow-y: scroll;
    width: 90%;
    margin-top: 1.5rem;
}

.index_search_form{
    position: relative;
    max-width: 55rem;
}

.search_form_fields:not(:empty){
    color: var(--dark);
}

#search_form_states.search_form_fields:empty:after{
    content: "Add a State";
}

#search_form_categories.search_form_fields:empty:after{
    content: "Add an Industry";
}

#search_form_investment_range.search_form_fields:empty:after{
    content: "Add a Price Range";
}

#search_form.active{
    background-color: var(--light);
    transition: all 0.3s ease;
    position: relative;
}

#index_search_modal{
    position: absolute;
    width: 35rem;
    height: 250px;
    overflow-y: scroll;
    margin-top: 0.5rem;
    z-index: 1;
    color: var(--dark);
}

#index_search_modal.search_inv_modal{
    height: auto;
    overflow:hidden;
}

#index_search_modal ul li{
    border-bottom: 1px solid var(--light);
    margin-bottom: 1rem;
    cursor: pointer;
}

#index_search_modal ul li:hover{
    color: var(--link_blue);
    transform: scaleY(1.1);
    font-weight: 600;
}

#title_section button {
    padding: .75rem;
    /* margin-right: 0.5rem; */
}

:is(#home_personalized, #home_categories) :is(h2, p) {
    margin-bottom: 1.5rem;
}

.listings, #cat_buttons {
    margin-top: 2.5rem;
}

#home_personalized img {
    height: auto;
}

#cat_buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    list-style: none;
}

#cat_buttons li {
    border-radius: 1rem;
    box-shadow: 0 .375rem 1.5rem rgba(0, 0, 0, 0.2);
    overflow: hidden;
    padding: 0;
    flex: 1 0 calc(33.333% - 1rem);
    aspect-ratio: 1 / 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

#cat_buttons a {
    padding: .5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

#cat_buttons span {
    font-size: .875rem;
    color: var(--dark);
    line-height: 1.2;
    display: block;
    text-align: center;
    margin-top: .5rem;
    height: 2.25rem;
}

#cat_buttons img {
    width: 2rem;
    height: 2rem;
    display: inline-block;
}

#home_tools :is(h2, p), #home_start :is(h2, .grid3) {
    margin-bottom: 2rem;
}

#home_tools p {
    max-width: 30rem;
}

#home_tools button + button {
    margin-top: 1rem;
}

#home_start a:not(:hover, :focus) {
    color: var(--link_blue);
}

#home_start p {
    font-size: 1rem;
}

#home_start picture {
    margin-bottom: 2rem;
}

#home_start img {
    height: auto;
    max-height: 10rem;
}

@media (max-width: 992px) {
    #search_form{
        padding: 0.25rem;
    }

    #search_form .select_wrapping{
        padding: 0 0 0 1.5rem;
    }

    #search_form button{
        position: initial;
        margin: 0;
        width: 50px;
    }

    .search_form_fields{
        font-size: 1.1rem;
    }
}

@media (max-width: 768px) {
    #cat_buttons li:nth-child(1) {
        display: none;
    }

    #index_search_modal{
        width: 100%;
    }
}

#cat_buttons li:nth-child(4) img {
        transform: rotate(180deg);
    }

@media (min-width: 769px) {
    .inline_dropdown::after {
        width: 1.5rem;
        height: 1.25rem;
        top: 1rem;
    }

    :is(#home_personalized, #home_tools) .tcol8 {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
    }

    #home_start .white_shell {
        height: 100%;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    #cat_buttons li {
        flex: 1 0 calc(20% - 1rem);
    }
}

@media (min-width: 769px) {
    #title_section h1 {
        font-size: 2.75rem;
    }

    #title_section, #home_listings, #home_personalized, #home_categories, #home_start {
        padding: 3.5rem 0;
    }

    :is(#home_personalized, #home_categories) :is(h2, p) {
        margin-bottom: 2rem;
    }

    .listings, #cat_buttons {
        margin-top: 3.5rem;
    }

    #home_tools :is(h2, p), #home_start :is(h2, .grid3) {
        margin-bottom: 3rem;
    }
}

@media (min-width: 1025px) {
    #title_section h1 {
        font-size: 3.25rem;
    }

    #home_listings, #home_personalized, #home_categories, #home_start {
        padding: 4.5rem 0;
    }

    #title_section {
        background-image: url(https://franchise-ventures-general.s3.us-east-1.amazonaws.com/fcom_cdn/images/homepage-hero.svg);
        background-position: bottom 1rem right;
        background-repeat: no-repeat;
        background-size: contain;
        background-size: 35% 80%;
        padding: 7.5rem 0 9.25rem;
    }
    
    #cat_buttons li {
        flex: 1 0 calc(10% - 1rem);
        transition: transform .2s ease;
    }

    #cat_buttons li:has(a:hover) {
        cursor: pointer;
        transform: scale(0.9);
    }

    #home_tools {
        padding: 0;
        margin: 2rem 0;
    }   
    
    #home_tools .tcol8.hide_mobile {
        padding-left: 2rem;
    }
    
    #home_tools img {
        transform: scale(1.1);
    }

    #home_tools button + button {
        margin: 0 0 0 1rem;
    }

    body:has(#home_start.hide) #home_tools {
        margin-bottom: 0;
    }

    #index_search_modal ul{
        column-count: 3;
    }

    #index_search_modal.search_inv_modal ul{
        column-count: 4;
    }

    /* #search_form.active button{
        position: absolute;
        right: 0;
    } */
}

@media (min-width: 1441px) {
    #title_section h1 {
        font-size: 3.75rem;
    }
}